#ifndef __FP_STDLIB
#define __FP_STDLIB
#include <stdio.h>
typedef struct{
    int quot;
    int rem;
}div_t;
typedef struct{
    long int quot;
    long int rem;
}ldiv_t;
extern int rand(void);
extern void srand(unsigned int seek);
extern int atoi(const char *s);
extern long atol(const char *s);
extern double atof(const char *s);
extern void *malloc(size_t size);
extern void *calloc(size_t nobj, size_t size);
extern void *realloc(void *p, size_t size);
extern void free(void *p);
extern void qsort(void *base, size_t n, size_t size,
           int (*cmp)(const void *, const void *));
extern int abs(int n);
extern long labs(long n);
extern div_t div(int num, int denom);
extern div_t ldiv(long num, long denom);
extern void exit(int status);
extern void abort(void);
extern int atexit(void (*fcn)(void));
extern double strtod(const char *s, char **endp);
extern long strtol(const char *s, char **endp, int base);
extern unsigned long strtoul(const char *s, char **endp, int base);
extern int system(const char *s);
extern char *getenv(const char *name);
extern void *bsearch(const void *key, const void *base, size_t n, size_t size,
              int (*cmp)(const void *keyval, const void *datum));
#endif
